import {Component, Input} from '@angular/core';
import {MatTableDataSource} from "@angular/material/table";
import {SimpleGamesystem} from "../../../project/game-model/gamesystems/SimpleGamesystem";
import {ScriptAccount} from "../../../project/game-model/scriptAccounts/ScriptAccount";
import {TemplateElement} from "../../../project/game-model/templates/TemplateElement";

@Component({
  selector: 'app-simple-gamesystem-editor',
  templateUrl: './simple-gamesystem-editor.component.html',
  styleUrl: './simple-gamesystem-editor.component.scss'
})
export class SimpleGamesystemEditorComponent {

  @Input() simpleGamesystem: SimpleGamesystem | undefined
  @Input() scriptAccunts: ScriptAccount[] = []
  @Input() templateElement: TemplateElement | undefined


}
